# LaTeX presentation template
This repository provides a LaTeX template for LUMC styled presentations.

## Installation
Install all dependencies:

    apt-get install texlive-base-bin texlive-latex-base \
      texlive-latex-recommended texlive-latex-extra texlive-fonts-recommended \
      texlive-science latex-beamer ghostscript graphviz

## Making a new presentation
Add this repository as a submodule of your project:

    git submodule add https://git.lumc.nl/j.f.j.laros/presentation.git

You also might want to use the central pictures repository:

    git submodule add https://git.lumc.nl/humgen/presentation-pics.git

Make a new presentation using the following command:

    cd presentation
    bash mkpres.sh ../mypresentation

## Usage
The presentation is compiled with a Makefile.

    make

To clean everything, except for output files and important temporary files
(bibliography, glossary, encapsulated postscript files):

    make clean

To clean everything including temporary files:

    make distclean

### Pictures
Using pictures is relatively straightforward. Every file in the current
directory with file extension **dot**, **gif**, **jpg**, **png**, **ppm**,
**svg**, **xcf**, or **dia** will be automatically converted to encapsulated
postscript.

Gnuplot files (with extension **gnp**) are converted to encapsulated postscript
as well.
